import { Injectable } from '@nestjs/common';
import { Order } from './order.entity';
import { v4 as uuidv4 } from 'uuid';

@Injectable()
export class OrdersService {
  private orders: Order[] = [];

  create(order: Order) {
    const id = uuidv4();
    const newOrder: Order = {
      ...order,
      id,
    };
    this.orders.push(newOrder);
    return Promise.resolve(newOrder);
  }

  getAll(userId: number) {
    return Promise.resolve(
      this.orders.filter((order) => order.userId == userId),
    );
  }

  getOrderById(userId: number, orderId: number) {
    return Promise.resolve(
      this.orders.find(
        (order) => order.userId == userId && order.id == orderId,
      ),
    );
  }
}
