import { Module, forwardRef } from '@nestjs/common';
import { ProductsService } from './products.service';
import { ProductsController } from './products.controller';
import { OrdersModule } from '../orders/orders.module';
import { ShippoModule } from '../shippo/shippo.module';
import { StripeModule } from '../stripe/stripe.module';

@Module({
  imports: [
    ShippoModule,
    forwardRef(() => OrdersModule),
    forwardRef(() => StripeModule),
  ],
  controllers: [ProductsController],
  providers: [ProductsService],
  exports: [ProductsService],
})
export class ProductsModule {}
